Searched refs:rc (Results 1 - 21 of 21) sorted by relevance

/ast/src/cmd/tests/aso/
H A Dtaso.c24 unsigned char vc, rc; local
33 if ((rc = asocaschar(&vc, 1, 2)) != 1)
34 terror("asocaschar return value failed -- expected %d, got %d", 1, rc);
37 else if ((rc = asocaschar(&vc, 1, 3)) != 2)
38 terror("asocaschar return value failed -- expected %d, got %d", 2, rc);
41 if ((rc = asoincchar(&vc)) != 2)
42 terror("asoincchar return failed -- expected %d, got %d", 2, rc);
45 if ((rc = asodecchar(&vc)) != 3)
46 terror("asodecchar return failed -- expected %d, got %d", 3, rc);
/ast/src/lib/libast/sfio/
H A Dsfputr.c29 ssize_t sfputr(Sfio_t* f, const char* s, int rc) argument
31 ssize_t sfputr(f,s,rc)
34 int rc; /* record separator. */
50 for(w = 0; (*s || rc >= 0); )
55 f->val = sn + (rc >= 0 ? 1 : 0); /* space requirement */
67 if(p >= (n + (rc < 0 ? 0 : 1)) )
74 if(rc >= 0)
75 { *ps++ = rc;
84 p = n + (rc >= 0 ? 1 : 0);
90 if(rc >
[all...]
H A Dsfgetr.c31 char* sfgetr(Sfio_t *f, int rc, int type) argument
33 char* sfgetr(f,rc,type)
35 int rc; /* record separator */
47 if(rc < 0 || (f->mode != SF_READ && _sfmode(f,SF_READ,0) < 0) )
77 f->getr = rc;
88 { s = ends[-1] == rc ? ends-1 : ends;
95 if(!(s = (uchar*)memchr((char*)s,rc,n)))
98 while(*s != rc)
149 if(found && rc != 0 && (type&SF_STRING) )
152 { f->getr = rc;
[all...]
H A Dsfpkrd.c40 ssize_t sfpkrd(int fd, Void_t* argbuf, size_t n, int rc, long tm, int action) argument
42 ssize_t sfpkrd(fd, argbuf, n, rc, tm, action)
46 int rc; /* record character */
48 int action; /* >0: peeking, if rc>=0, get action records,
49 <0: no peeking, if rc>=0, get -action records,
50 =0: no peeking, if rc>=0, must get a single record
58 if(rc < 0 && tm < 0 && action <= 0)
61 t = (action > 0 || rc >= 0) ? (STREAM_PEEK|SOCKET_PEEK) : 0;
130 ((t&STREAM_PEEK) && rc >= 0) ||
213 { if(action <= 0 && rc <
[all...]
H A Dsffilbuf.c43 reg int first, local, rcrv, rc, justseek; local
52 rc = f->getr;
104 f->getr = rc;
H A Dsfmove.c34 Sfoff_t sfmove(Sfio_t* fr, Sfio_t* fw, Sfoff_t n, reg int rc) argument
36 Sfoff_t sfmove(fr,fw,n,rc)
40 reg int rc; /* record separator */
59 if(rc >= 0) /* moving records, let sfgetr() deal with record reading */
60 { if(!(cp = (uchar*)sfgetr(fr,rc,0)) )
/ast/src/cmd/nmake/
H A Drules-win32.mk17 RC = rc
22 .SOURCE.%.SCAN.rc : $$(*.SOURCE.rc) $$(*.SOURCE) $$(*.SOURCE.h:D:X=include/mfc mfc/include include)
24 .SCAN.rc : .SCAN
27 .ATTRIBUTE.%.rc : .SCAN.rc
31 %.res : %.rc (RC) (RCFLAGS)
34 $(CPP) -D:catliteral -DRCWOW=\"$RCWOW\" $(.INCLUDE. rc:/^/-I/) $(>) > $(%).ri
35 $(RC) $(RCFLAGS) -I$(>:D:P=N) $(.INCLUDE. rc:P=N:/^/-I/) -r -fo$(<:P=N) $(%).ri >/dev/null 2>&1 || {
37 $(RC) $(RCFLAGS) $(.INCLUDE. rc
[all...]
H A DMakerules.mk5137 print -um setv ARFLAGS $(ARHYPHEN)rc
5138 ARFLAGS = $(ARHYPHEN)rc
/ast/src/cmd/proto/
H A Dsear.sh154 typeset -H host_ico=$ico host_rc=$tmp.rc host_res=$tmp.res
155 print -r "sear ICON \"${host_ico//\\/\\\\}\"" > $tmp.rc
156 if ! rc -x -r -fo"$host_res" "$host_rc"
/ast/src/lib/libjcl/
H A Djcllib.h67 int rc; member in struct:Rc_s
137 int rc; \
H A Dopen.c140 if ((r = jcl->rc) < 0)
/ast/src/cmd/ksh93/tests/
H A Doptions.sh57 rc=$tmp/.kshrc
58 print $'PS1=""\nfunction env_hit\n{\n\tprint OK\n}' > $rc
77 export ENV=/.$rc
86 [[ $(print env_hit | $SHELL --rc 2>&1) == "OK" ]] &&
87 err_exit 'privileged --rc reads $ENV file'
97 [[ $(print env_hit | $SHELL --rc 2>&1) == "OK" ]] ||
98 err_exit '--rc ignores $ENV file'
114 [[ $(print env_hit | HOME=$tmp $SHELL --rc 2>&1) == "OK" ]] &&
115 err_exit 'privileged --rc ignores empty $ENV'
125 [[ $(print env_hit | HOME=$tmp $SHELL --rc
[all...]
H A Dfunctions.sh1142 typeset rc=0
1144 return $rc;
1202 rc=$?
1203 return $rc
1206 rc=$?
1208 [[ $rc == "$exp" ]] || err_exit "expected exitval $exp got $rc"
H A Dbuiltins.sh633 v=$($SHELL 2> /dev/null +o rc -ic $'getopts a:bc: opt --man\nprint $?')
/ast/src/lib/libvcodex/Vcmisc/
H A Dvcrle.c140 ssize_t c, rc, rz; local
148 { for(rc = rz = -1; dt < enddt; ++dt)
150 { if(c == rc)
155 if(rc == 0)
161 rc = c; rz = 0;
167 if(rc == 0)
172 rc = rz = -1;
182 if(rc == 0)
/ast/src/lib/libvcodex/Vchuff/
H A Dvchuffpart.c120 double le, lc, rc, cost; local
148 rc = pt->ctab + (size-p)*vclog(size-p) - re;
149 if((lc + rc) < cost)
/ast/src/lib/libtk/library/demos/
H A Dtcolor297 set rc [expr {($max - $red)/$range}]
304 set hue [expr {.166667*(2 + $rc - $bc)}]
306 set hue [expr {.166667*(4 + $gc - $rc)}]
/ast/src/lib/libast/misc/
H A Dmime.c384 register int rc; local
406 rc = *rv;
419 if (rc)
427 *rv = rc;
/ast/src/cmd/re/
H A Dsed1.c286 rc(Text *script, Text *t) function
304 rc(script, t);
670 pc,qc,rc,sc,tc,xx,xx,wc,xc,yc,xx,Lc,xx,Rc,xx,xx /* p-y{} */
/ast/src/lib/libast/regex/
H A Dregcomp.c1434 int rc; local
1537 ce = col(ce, ic, rp, rw, rc, NiL, 0, 0);
1567 ce = col(ce, ic, rp, rw, rc, NiL, 0, 0);
1605 ce = col(ce, ic, rp, rw, rc, NiL, 0, 0);
1693 ce = col(ce, ic, rp, rw, rc, pp, w, c);
1706 ce = col(ce, ic, rp, rw, rc, NiL, 0, 0);
1711 rc = c;
/ast/src/lib/libexpr/
H A Dexeval.c527 register int rc; local
529 while ((lc = *l++) && (rc = *r++))
530 sfputc(ex->tmp, lc == rc ? lc : ' ');

Completed in 295 milliseconds